
Redmine - Feature #1349

SVN Deployment managed by Redmine

2008-06-02 14:29 - David Gillard

Status: New Start date: 2008-06-02

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM extra Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

In some other hosted system there is functionality to deploy a SVN repository via ftp or ssh to a remote server.  (

http://www.springloops.com has this which links to basecamp).  This allows you to setup several deployment paths for your code

(development server, staging server and live server for example) and then allows you to deploy a particular revision to one of these

servers.

A stage further would be to then update the issues which should be impacted by the revision so issues can then be verified as being

fixed.

History

#1 - 2008-08-30 00:07 - Fahim Zahid

+1

#2 - 2009-03-23 09:37 - Alain D.

+1

I love this feature of springloops (and beanstalkapp as well)

#3 - 2011-03-23 08:05 - Toshi MARUYAMA

- Category set to SCM

#4 - 2011-03-24 07:36 - Toshi MARUYAMA

- Category changed from SCM to SCM extra

#5 - 2011-05-03 13:23 - Tim Klein

+1 this feature would be awesome to have!

#6 - 2011-06-21 06:54 - Tim Klein

are there more people interested in this feature?

we could combine our funds and get it integrated.

I would throw in $200 USD

#7 - 2012-07-23 11:03 - Orlando Romero

+1 This sounds like a very useful feature. Any update on this or any other alternative tool to achieve the same?

#8 - 2012-10-11 21:37 - Anthony Topper

This seems like it would be better suited as a plugin.  Since Capistrano does all this stuff and Capistrano is a Ruby based IIRC maybe a Capistrano

GUI plugin would be a good approach to take.
